Bug 323588 - Active screenedge reactivation timeout should be enforced to be be bigger than the activation timeout
Summary: Active screenedge reactivation timeout should be enforced to be be bigger tha...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: 4.11.0
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/112...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-16 10:00 UTC by vpiotr
Modified: 2013-08-27 06:07 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11.1
thomas.luebking: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vpiotr 2013-08-16 10:00:46 UTC
After upgrading to 4.11 switching desktop on screen edges does not work anymore.

Reproducible: Always

Steps to Reproduce:
1. Have screen edges configured to travel between desktops
2. Move cursor to top/bottom/left/right edge
Actual Results:  
Nothing happenes.

Expected Results:  
Desktop is switched to the one above/below/left/right.

I've tried:
* using different activation and reactivation delays,
* using always enabled/only when moving windows,
* switching "screen edge" effect on/off.
Nothing helped.
qdbus org.kde.kwin /KWin supportInformation output: http://paste.kde.org/p2bb5af28/
Comment 1 vpiotr 2013-08-16 10:30:28 UTC
Update: If I set activation and reactiviation delays to 50ms, and "push" the edge for a few seconts, desktop is switched sometimes.
Comment 2 vpiotr 2013-08-16 10:33:38 UTC
Also, not sure if this is relevant: when I push vertical or horizontal screen edge, mouse cursor "shakes" one pixel left-right or up-down.
Comment 3 Thomas Lübking 2013-08-16 10:33:55 UTC
Make the reActivateThreshold >= 50ms bigger than the activation threshold.
If they're equal you're actually swapping forth and back all the time while the cursor is on the edge.
Comment 4 vpiotr 2013-08-16 10:53:05 UTC
Setting activation/reactivation delays to 0/50 did the trick. Thank you.

But I've noticed one more (minor) issue:

I have my desktops organized in two rows, with "desktop navigation wraps around" enabled. Desktop switching effect is set to "slide". When I'm on a desktop in the top row and move mouse cursor to the top edge, desktop is switched correctly, but it slides up, while it should slide down (viewport is moved up, contents should slide down). Behavior is the same for "desktop cube animation". This is visually confusing.

Should I open a separate bug report for this?
Comment 5 Thomas Lübking 2013-08-16 11:02:58 UTC
That's probably bug #185710 ...
Comment 6 vpiotr 2013-08-16 11:22:15 UTC
Reported there, thanks.
Comment 7 Thomas Lübking 2013-08-27 06:07:27 UTC
Git commit be47a3b9442b5272c49a8d26392b14e3a5ee041e by Thomas Lübking.
Committed on 16/08/2013 at 17:38.
Pushed by luebking into branch 'KDE/4.11'.

enforce reactivation threshold to be 50ms bigger

than actication threshold.
Things don't work otherwise.
FIXED-IN: 4.11.1
REVIEW: 112125

M  +8    -0    kwin/kcmkwin/kwinscreenedges/main.cpp
M  +2    -1    kwin/kcmkwin/kwinscreenedges/main.h
M  +1    -1    kwin/screenedge.cpp

http://commits.kde.org/kde-workspace/be47a3b9442b5272c49a8d26392b14e3a5ee041e